import * as i0 from "@angular/core";
/**
 * Wrapper for native implementations of querySelector from window.document
 */
export declare class BrowserDOMSelectorService {
    private doc;
    constructor(doc: any);
    /** see https://developer.mozilla.org/de/docs/Web/API/Document/querySelectorAll */
    querySelectorAll(cssQuery: string): any[];
    /** see https://developer.mozilla.org/de/docs/Web/API/Document/querySelector */
    querySelector(cssQuery: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<BrowserDOMSelectorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BrowserDOMSelectorService>;
}
