/**
 * contains static helper methods for [[HTMLELement]]
 */
export declare class OnboardingHtmlElementHelper {
    static isVisible(htmlElement: HTMLElement): boolean;
    /**
     * true if element is visible in view (not scrolled out) or false if not
     */
    static isNotScrolledOut(htmlElement: HTMLElement): boolean;
    /**
     * true if element and all parents are visible in view (not scrolled out) or false if not
     */
    static isVisibleInViewWithParents(htmlElement: HTMLElement): boolean;
    /**
     * returns the position of element in document
     */
    static getPosition(htmlElement: HTMLElement): {
        fixed: any;
        x: number;
        y: number;
        width: number;
        height: number;
    };
    private static isFixed;
}
